> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a deposit summary by ID

GET https://api.propexo.com/v1/deposit-summaries/{deposit_summary_id}

Get a deposit summary by ID

Reference: https://docs.propexo.com/api-reference/yardi/deposit-summaries/get-a-deposit-summary-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `deposit_summary_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1DepositSummariesDepositSummaryIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1DepositSummariesDepositSummaryIdGetOutputResults

- `id` (string, required) — The Propexo unique identifier for the deposit summary
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Billing and Payments | GetPayables | | Common Data | GetResidentData |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Billing and Payments | GetPayables | | Common Data | GetResidentData |
- `x_resident_id` (string, required) — The external ID of the resident from the integration vendor | Interface | Method | |---|---| | Billing and Payments | GetPayables | | Common Data | GetResidentData |
- `x_building_id` (any, required) — The external ID of the building (not necessarily the property) from the integration vendorThis field will always be null for YARDI
- `x_invoice_id` (string, required, nullable) — The external ID of the invoice from the integration vendor | Interface | Method | |---|---| | Billing and Payments | GetPayables |
- `x_lease_id` (string, required, nullable) — The external ID of the lease from the integration vendorHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Interface | Method | | ----------- | --------------- | | Common Data | GetResidentData |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI
- `x_unit_id` (any, required) — The external ID of the unit from the integration vendorThis field will always be null for YARDI
- `amount_charged_in_cents` (double, required, nullable) — The amount charged in centsHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Interface | Method | | ----------- | --------------- | | Common Data | GetResidentData |
- `amount_paid_in_cents` (double, required, nullable) — The amount paid in centsHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Interface | Method | | ----------- | --------------- | | Common Data | GetResidentData |
- `amount_refunded_in_cents` (any, required) — The amount refunded in centsThis field will always be null for YARDI
- `notes` (string, required, nullable) — Notes associated with the deposit summary | Interface | Method | |---|---| | Billing and Payments | GetPayables |
- `refund_amount_due_in_cents` (double, required, nullable) — The refund amount due in cents | Interface | Method | |---|---| | Billing and Payments | GetPayables |
- `custom_data` (V1DepositSummariesDepositSummaryIdGetOutputResultsCustomData, required, nullable)
- `integration_data` (V1DepositSummariesDepositSummaryIdGetOutputResultsIntegrationData, required, nullable)
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `YARDI`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI_REST`
- `invoice_id` (string, required, nullable) — The Propexo unique identifier for the invoice | Interface | Method | |---|---| | Billing and Payments | GetPayables |
- `lease_id` (string, required, nullable) — The Propexo unique identifier for the leaseHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Interface | Method | | ----------- | --------------- | | Common Data | GetResidentData |
- `unit_id` (any, required) — The Propexo unique identifier for the unitThis field will always be null for YARDI
- `resident_id` (string, required) — The Propexo unique identifier for the resident | Interface | Method | |---|---| | Billing and Payments | GetPayables | | Common Data | GetResidentData |
- `property_id` (string, required) — The Propexo unique identifier for the property

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1DepositSummariesDepositSummaryIdGetOutputResultsCustomData

### V1DepositSummariesDepositSummaryIdGetOutputResultsIntegrationData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "t00000010",
    "x_property_id": "100",
    "x_resident_id": "t00000010",
    "x_building_id": null,
    "x_invoice_id": "300342655",
    "x_lease_id": "t00000010",
    "x_location_id": null,
    "x_unit_id": null,
    "amount_charged_in_cents": 1000,
    "amount_paid_in_cents": 1000,
    "amount_refunded_in_cents": null,
    "notes": "Move out refund",
    "refund_amount_due_in_cents": 51500,
    "custom_data": {},
    "integration_data": {},
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "YARDI",
    "invoice_id": "clwqjbpr8000008kz8h5g2ka4",
    "lease_id": "testintegration:100:t00000010",
    "unit_id": null,
    "resident_id": "caf87324hf08kz8afdsf73rg",
    "property_id": "clwi5xiix000008l6ctdgafyh"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/deposit-summaries/deposit_summary_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/deposit-summaries/deposit_summary_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/deposit-summaries/deposit_summary_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/deposit-summaries/deposit_summary_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/deposit-summaries/deposit_summary_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/deposit-summaries/deposit_summary_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/deposit-summaries/deposit_summary_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/deposit-summaries/deposit_summary_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```